<?php 

	$_product	= $this->getProduct() ;
	$_helper = Mage::helper("calculator");
	
?>
<?php if($_product->getMicoCartonUnitSuff()):?>
	<?php
		
		$config = $this->getProductConfig();
		//$_product 	= Mage::getModel('catalog/product')->load($_product->getId());
		$min_qty	= $this->getMinimalQty($_product);
		if(!$min_qty) $min_qty = 1;
		//$price		= (float)$config['price'];
		//$price		= Mage::getModel('directory/currency')->format($config['price'], array('display'=>Zend_Currency::NO_SYMBOL), false);
		$price = Mage::helper('core')->currency($config['price'], false, false);
		
		//Mage::getResourceModel('catalog/product')->getAttributeRawValue($_product->getId(), 'attribute_code', Mage::app()->getStore());
		$inStock 	= $_product->getStockItem()->getIsInStock();
		if($inStock > 0 ):
			$inStock = $_helper->__('in stock');
		else:
			$inStock = $_helper->__('out of stock');
		endif;

		$unit 		= (float)$config['unit'];
		$unit_text 	= $config['unit_text'];
		$min_sq 	= (float)$config['min'];
		
		$total		= Mage::getModel('directory/currency')->format($min_qty * $price, array('display'=>Zend_Currency::NO_SYMBOL), false);
		//$formated_total = Mage::helper('core')->currency($price);
		$sqprice	= Mage::getModel('directory/currency')->format($price / $config['unit'], array('display'=>Zend_Currency::NO_SYMBOL), false);
		$sqprice = str_replace(",", ".", $sqprice);
		$currency = Mage::app()->getLocale()->currency(Mage::app()->getStore()->getCurrentCurrencyCode())->getSymbol();
		
		$tier = $_product->getTierPrice();
		$tier_array = array();
		if($tier)
		{
			$i = 0;
			foreach($tier as $tier_price)
			{
				$tier_array[$i]['qty'] = $tier_price['price_qty'];
				$tier_array[$i]['price'] = $tier_price['price'];
				$tier_array[$i]['sqprice'] = Mage::getModel('directory/currency')->format($tier_price['price'] / $config['unit'], array('display'=>Zend_Currency::NO_SYMBOL), false);
				++$i;
			}
		}
		
		$unit_raw = Mage::getResourceModel('catalog/product')->getAttributeRawValue($_product->getId(), 'mico_carton_unit_suff', $storeId); ;
		if($unit_raw == 34 || $unit_raw == 35 || $unit_raw == 36 ) $linear = true;
		else $linear = false;
		
	?>
	<div id="calc-container">
		<div class="col-xs-7">
			<label for="units" class="name_label1"><?php if($linear) echo $this->__('Qty').':'; else echo $this->__('Enter your coverage') ?></label>
		</div>
		<div class="col-xs-5 text-right">
			<label for="units" class="name_label_units"><?php echo $unit_text ?></label>
			<input type="text" name="coverage" id="coverage" value="<?php // echo $min_qty ?>">
			<?php if($min_sq): ?>
				<label class="red_text_label"><?php echo $this->__('Minimum') ?>: <?php echo $min_sq.' ' ?><?php echo $unit_text ?></label>
			<?php endif ?>
		</div>
		<div class="clearfix"></div>
		<div class="hr"></div>
		
		<?php if(!$linear): ?>
			<div class="col-xs-6">
				<label class="name_label2"><?php echo $_helper->__('Boxes:')?></label>
				<span class="box-info"><?php echo '('.$unit.' '.$unit_text.' '.$this->__('per box').')' ?></span>
			</div>
			<div class="col-xs-6 text-right">
				<label class="name_label3 carton-boxes-val"><span class="box-qty"><?php echo $min_qty ?></span></label>
			</div>
			<div class="clearfix"></div>
			<div class="hr"></div>
		<?php endif ?>
		
		<div class="fields">
			<div class="col-xs-6">
				<label class="name_label2"><?php echo $_helper->__('Price:')?></label>
			</div>
			<div class="col-xs-6 text-right">
				<label class="name_label3 carton-price-val">
					<?php echo $currency ?>
					<span class="sq_price"><?php echo $sqprice ?>
						<p class="after_price">/<?php echo $unit_text ?></p>
					</span>
				</label>
			</div>
		</div>
			
		<div class="clearfix"></div>
		<div class="hr"></div>

		<div class="fields">
			<div class="col-xs-6">
				<label class="name_label4"><?php echo $_helper->__('Total:')?></label>
			</div>
			<div class="col-xs-6 text-right">
				<label class="name_label5"><?php echo $currency ?><span class="box-total"><?php echo $total ?></span></label>
			</div>
		</div>

		<?php if(Mage::getResourceModel('catalog/product')->getAttributeRawValue($_product->getId(), 'samples_available', Mage::app()->getStore()->getStoreId())): ?>
			<div class="clearfix"></div>
			<div class="hr"></div>
			<div class="fields">
				<div class="col-xs-6">
					<label class="name_label8"><?php echo $_helper->__('Samples Available') ?>:</label>
				</div>
				<div class="col-xs-6 text-right">
					<label class="name_label8"><?php echo $_product->getAttributeText('samples_available') ?></label>
				</div>
			</div>
		<?php endif ?>

		<div class="clearfix"></div>
		<div class="hr"></div>

	</div>
	<script type="text/javascript">	
	//<![CDATA[
	var min = parseInt(<?php echo $min_qty ?>);
	var min_sq = parseInt(<?php echo $min_sq ?>);
	var unit = parseFloat(<?php echo $unit ?>);
	<?php if(!empty($tier_array)): ?>
		var tier = <?php echo json_encode($tier_array) ?>;
	<?php endif ?>
	
	jQuery(document).ready(function() {
		jQuery('#coverage').change('input', function() { 
			var new_val = count(jQuery(this).val());
			jQuery(this).val(new_val);
		});
	});

	function count(value)
	{
		var price = parseFloat(<?php echo $price ?>);
		var sqprice = parseFloat(<?php echo $sqprice ?>).toFixed(2);

		value = parseFloat(value);
		if(value < min_sq || (!isFloat(value) && !isInt(value))) //new val lower than required
		{
			value = min_sq;
		}
		
		var qty = Math.ceil(value / unit);
		
		<?php if(!empty($tier_array)): ?>
			jQuery.each(tier, function(index, val) {
				var tier_qty = parseInt(val.qty);
				
				if(tier_qty < parseInt(qty))
				{
					price = val.price;
					sqprice = val.sqprice;
				}
			});
		<?php endif ?>

		var total = parseFloat(qty * price).toFixed(2);
		var sq = qty*unit;
		var text_after = '<p class="after_price">'+jQuery('.sq_price p.after_price').text()+'</p>';
		
		jQuery('.box-qty').text(qty);
		jQuery('.sq_price').html(sqprice+' '+text_after);
		jQuery('#qty').val(qty);
		jQuery('.box-total').text(total);
			
		return parseFloat(sq).toFixed(2);
		
	}
	function isFloat(n) 
	{
		return n === +n && n !== (n|0);
	}
	function isInt(n) {
	   return n % 1 === 0;
	}
	//]]>
	</script>
<?php endif ?>